﻿.notification:not(.notification-loading):before {
  content: "No new notifications";
}

.template-header {
  position: relative;
  padding: 7px;
  padding-left: 15px !important;
}
.template-header .header-title img {
  height: 18px;
  width: auto;
  max-width: unset;
}
.template-header::before {
  content: "";
  display: block;
  position: absolute;
  height: 65%;
  width: 0px;
  border: 1px inset rgba(255, 255, 255, 0.59);
  top: 50%;
  left: 5px;
  transform: translateY(-50%);
}

.input-popup-save {
  line-height: 1.4;
}

.btn-success {
  background-color: #ee9244 !important;
  border-color: #ee9244 !important;
  color: #FFF !important;
}

.modal-backdrop {
  z-index: 2501 !important;
}

.gap-5 {
  gap: 5px;
}

.header-items {
  display: flex;
  align-items: center;
}
.header-items img {
  margin-inline-end: 15px !important;
}

.step-checkbox,
.variable-checkbox {
  -moz-appearance: none;
  -webkit-appearance: none;
  -o-appearance: none;
  appearance: none;
  outline: none;
  width: 22px;
  height: 22px;
  margin: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.step-checkbox:before,
.variable-checkbox:before {
  font-family: "FontAwesome";
  content: "\f00c";
  font-size: 12px;
  color: transparent !important;
  background: white;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 22px;
  height: 22px;
  border: 2px solid #d4d4d4;
  border-radius: 3px;
}
.step-checkbox:checked:before,
.variable-checkbox:checked:before {
  color: #d4d4d4 !important;
}

.no-data-message {
  font-size: 30px;
  text-align: center;
  background: #f2f2f2;
  padding: 50px;
  margin: auto;
  min-width: -webkit-fill-available;
  color: black;
}

.center-item {
  text-align: center;
  margin: auto;
  min-width: -webkit-fill-available;
}

.settings-panel {
  background-color: #FFF;
}

.w-35 {
  width: 35px;
}

.display-none {
  display: none;
}

.no-wrap {
  white-space: nowrap;
}

.tbl-download-icon {
  max-height: 20px;
}

thead {
  background-color: #595755;
  color: white;
}
thead th {
  border: 1px solid rgba(0, 0, 0, 0.1) !important;
}

.justify-between {
  justify-content: space-between;
}

.page-footer {
  padding-left: 0;
}

#formio a[ref=fileLink] {
  color: #6dc0ef;
  cursor: pointer;
}
#formio a[ref=fileLink]:hover {
  text-decoration: underline !important;
}

#editPopup, #addPopup, #deletePopup {
  z-index: 2502;
}

/*general class*/
.p-15 {
  padding: 15px;
}

.p-20 {
  padding: 20px;
}

.d-none {
  display: none;
}

.b-none {
  border: none;
}

.add-modal {
  width: 90% !important;
  height: 90% !important;
}

.m-50 {
  margin: 50px;
}

/*a:not([href]) {
    color: white;
}*/
.h-auto {
  height: auto;
}

/*a:not([href]):hover {
    color: white;
}*/
.clear-both {
  clear: both;
}

.btn-primary {
  color: #FFF !important;
}

.choose-btn {
  background-color: #E5E5E5;
  border: 1px solid black;
}

.pr-0 {
  padding-right: 0px;
}

.height-auto {
  height: auto;
}

.d-block {
  display: block;
}

.p-15 {
  padding: 15px;
}

.over-hidden {
  overflow: hidden;
}

.save-on {
  z-index: 9999 !important;
}

.nowrap {
  white-space: nowrap;
}

a.subheader-title {
  text-decoration: underline !important;
  color: #78c1eb;
}

.subheader {
  gap: 10px;
  flex-wrap: wrap;
}

.h-auto {
  height: auto;
}

.z-index-3000 {
  z-index: 3000 !important;
}

#refreshBtn {
  position: absolute;
  right: 10px;
}

@media (max-width: 991px) {
  .page-wrapper .page-content .subheader {
    margin-bottom: 0.7rem;
  }
  .subheader-title {
    font-size: 16px;
  }
}
.bread-crumbs {
  gap: 5px;
}

.current-page {
  color: #ee9244;
}

.footer-items {
  gap: 5px;
  line-height: 15px;
}

/*Custom scroll styles*/
.my-custom-scroll::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  border-radius: 10px;
  background-color: #f5f5f5;
}

.my-custom-scroll::-webkit-scrollbar {
  width: 10px;
  height: 10px;
  background-color: #f5f5f5;
}

.my-custom-scroll::-webkit-scrollbar-thumb {
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  background-color: #898989;
}

/* Buttons */
.my-custom-scroll::-webkit-scrollbar-button:single-button {
  background-color: #bbbbbb;
  display: block;
  border-style: solid;
  height: 8px;
  width: 10px;
}

/* Up */
.my-custom-scroll::-webkit-scrollbar-button:single-button:vertical:decrement {
  border-width: 0 5px 5px 5px;
  border-color: transparent transparent #555555 transparent;
}

.my-custom-scroll::-webkit-scrollbar-button:single-button:vertical:decrement:hover {
  border-color: transparent transparent #777777 transparent;
}

/* Down */
.my-custom-scroll::-webkit-scrollbar-button:single-button:vertical:increment {
  border-width: 5px 5px 0 5px;
  border-color: #555555 transparent transparent transparent;
}

.my-custom-scroll::-webkit-scrollbar-button:vertical:single-button:increment:hover {
  border-color: #777777 transparent transparent transparent;
}

/* Left */
.my-custom-scroll::-webkit-scrollbar-button:single-button:horizontal:decrement {
  border-width: 5px 5px 5px 0px;
  border-color: transparent #555555 transparent transparent;
}

.my-custom-scroll::-webkit-scrollbar-button:single-button:horizontal:decrement:hover {
  border-color: transparent #777777 transparent transparent;
}

/* Right */
.my-custom-scroll::-webkit-scrollbar-button:single-button:horizontal:increment {
  border-width: 5px 0px 5px 4px;
  border-color: transparent transparent transparent #555555;
}

.my-custom-scroll::-webkit-scrollbar-button:horizontal:single-button:increment:hover {
  border-color: transparent transparent transparent #777777;
}

/* login / regester form */
.form-container {
  min-height: 675px;
}

/* modal-dialog */
.iframe-modal-dialog {
  width: 100%;
  max-width: calc(100% - 10px);
  max-height: calc(100% - 10px);
  height: 100%;
  margin: auto;
}

.display-none {
  display: none;
}

.modal-content {
  width: 100%;
  height: 100%;
}

.modal {
  align-items: center !important;
  justify-content: center !important;
  z-index: 2502;
}

.modal-size-auto {
  width: auto !important;
  height: auto !important;
}

.bootbox-body, iframe {
  height: 100%;
}

iframe {
  border: none;
}

.iframe-modal-dialog .modal-body {
  padding: 0;
}

.bootbox-close-button {
  position: absolute;
  right: 5px;
  top: 6px;
  width: 20px;
  height: 20px;
  font-size: 17px;
  border-radius: 50%;
  text-shadow: none !important;
}

.bootbox-close-button::hover {
  color: #000;
  text-shadow: none;
}

.close:not(:disabled):not(.disabled):hover, .close:not(:disabled):not(.disabled):focus {
  color: #000;
}

.text-start {
  text-align: start;
}

.visible-hidden {
  visibility: hidden;
}

.bootbox.show {
  display: flex !important;
  background-color: rgba(0, 0, 0, 0.7);
}

/* custom table */
.nav-fill .nav-item {
  -webkit-box-flex: 1;
  -ms-flex: 0 1 auto;
  flex: 0 1 auto;
}

.nav-tabs .nav-link.active {
  background-color: #FFF;
}

/*SaveOn popup*/
.save-on {
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.25);
  position: fixed;
  z-index: 5;
  top: 0;
  left: 0;
}

.save-on-container {
  width: 50%;
  height: 35%;
  margin: auto;
}

.save-on-close-section {
  box-shadow: -2px 2px 12px 0 rgba(0, 0, 0, 0.5411764706);
}

.save-on-right-section {
  background-color: #F5F6F6;
}

.save-on .files-section {
  padding: 20px;
}

.save-on-title {
  position: relative;
  font-size: 16px;
}

.save-on-title:before {
  content: "";
  display: block;
  position: absolute;
  height: 100%;
  width: 0;
  border: 1px inset hsla(0, 0%, 100%, 0.59);
  top: 50%;
  left: 5px;
  transform: translateY(-50%);
}

.top-title {
  font-size: 18px;
}

.sub-title {
  font-size: 14px;
}

.shadow-md {
  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.6);
}

.box-btns .btn:hover {
  background-color: #ee9244 !important;
  color: white;
}

.new-folder-input {
  background-color: #f2f2f2;
  background-color: rgb(242, 242, 242);
  outline: 2px solid transparent;
  outline-offset: 2px;
  border-radius: 0.375rem;
  border-width: 1px;
  border-color: transparent;
  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
  line-height: 1.25;
  padding: 1px 5px;
  transition: 0.5s;
  margin-top: 15px;
}

.files-section {
  overflow: auto;
}

/* custom panel */
.custom-panel {
  box-shadow: none !important;
  border: 0 !important;
}

/* general */
.z-50 {
  z-index: 50;
}

/*.shadow-sm {
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0 , 0.05);
}*/
.light-border-color {
  border-color: #f2f2f2 !important;
}

.light-bg-color {
  background-color: #f0f0f0;
}

.bg-main-500 {
  background-color: #e1dfdf;
}

.text-sm {
  font-size: 0.875rem;
}

.font-size-16 {
  font-size: 1rem;
}

.transform {
  --transform-translate-x: 0;
  --transform-translate-y: 0;
  --transform-rotate: 0;
  --transform-skew-x: 0;
  --transform-skew-y: 0;
  --transform-scale-x: 1;
  --transform-scale-y: 1;
  transform: translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y));
}

.-rotate-90 {
  --transform-rotate: -90deg;
}

.resize-none {
  resize: none;
}

.h-32 {
  height: 8rem;
}

.rules-params-section .dataTables_wrapper {
  margin-top: -30px;
}

table.dataTable.table-striped > tbody > tr.odd.selected > *, table.dataTable.table-striped > tbody > tr.even.selected > * {
  box-shadow: inset 0 0 0 9999px #5cbaf0;
}

table.dataTable tbody > tr.selected, table.dataTable tbody > tr > .selected {
  box-shadow: none;
}

table.editableTable tbody tr {
  cursor: pointer;
}

.modal.show {
  display: flex;
}

.new-input-popup {
  width: 500px;
  box-shadow: -2px 2px 12px 0 rgba(0, 0, 0, 0.54);
  top: 50%;
  left: 50%;
  transform: translateY(-50%) translateX(-50%);
  z-index: 2552;
}

.types-list {
  height: 240px;
}

.overflow-y-scroll {
  overflow-y: scroll;
}

.flex-49 {
  flex-basis: 49%;
}

.border-black {
  border-color: #000 !important;
}

.bg-main-400 {
  background-color: #f2f2f2;
}

.bg-gray-200 {
  background-color: #edf2f7;
}

.add-modal {
  height: auto;
  left: 50%;
  top: 50%;
  width: 500px;
  transform: translateX(-50%) translateY(-50%);
}

.no-scroll {
  overflow: hidden;
}

.dataTables_wrapper .dataTables_paginate .pagination .page-item > .page-link {
  color: wheat;
}

.rule-parameter {
  cursor: pointer;
  margin-bottom: 5px;
}

#addInputTyp:focus, #editInputTyp:focus, #returnType:focus {
  background-color: #f3f3f3;
  border-color: #E5E5E5;
}

.select-checkbox {
  max-width: 10px;
}

table.dataTable tbody td.select-checkbox:before, table.dataTable tbody td.select-checkbox:after, table.dataTable tbody th.select-checkbox:before, table.dataTable tbody th.select-checkbox:after {
  top: 50% !important;
}

.version-model {
  width: 1000px;
}
.version-model .modal-dialog {
  max-width: 100%;
}

.modal-dialog {
  min-width: 25% !important;
}

.list-model-versions-page {
  /* .add-modal
   {
       height:90%!important;
       width:90%!important
   }*/
}
.list-model-versions-page .form-holder {
  padding: 20px;
}
.list-model-versions-page #formio {
  margin: auto;
  background: #FFF;
  padding: 25px;
  overflow: auto;
}
.list-model-versions-page .custom-scroll {
  /*max-height:500px;*/
  overflow: auto !important;
}

.pdf-download-container {
  gap: 25px;
}

.pdf-box {
  flex-basis: 175px;
  height: auto;
  align-items: center;
  text-align: center;
  border: 1px solid rgba(0, 0, 0, 0.09);
  justify-content: center;
  overflow: hidden;
}
.pdf-box .pdf-box-name {
  padding: 7px 10px;
}

.nots-container {
  gap: 20px;
}

.nots-card {
  flex-basis: 350px;
  border: 1px solid rgba(50, 49, 48, 0.1);
  padding: 15px;
  box-shadow: -1px -1px 20px 0px rgba(0, 0, 0, 0.06);
  min-height: 180px;
}
.nots-card .nots-card-bottom {
  padding-top: 10px;
  margin-top: 10px;
  border-top: 1px solid rgba(50, 49, 48, 0.1);
}
.nots-card .nots-card-bottom-content {
  font-size: 12px;
}
.nots-card.add-nots {
  cursor: pointer;
}
.nots-card.add-nots .plus-text {
  margin: 0;
  font-size: 45px;
  border: 1px solid;
  border-radius: 50%;
  padding: 0px 20px;
  box-shadow: inherit;
}

.open-model img {
  width: 35px !important;
}

.add-nots {
  overflow: visible;
  z-index: 3000;
}

.form-textarea {
  height: 135px !important;
  resize: none;
}

div.dataTables_processing > div:last-child > div {
  background-color: #ee9244;
}

/*.ellipsis-loader {
    .lds-ellipsis {
        display: inline-block;
        position: relative;
        width: 80px;
        height: 80px;
    }

    .lds-ellipsis div {
        position: absolute;
        top: 33px;
        width: 13px;
        height: 13px;
        border-radius: 50%;
        background: #fff;
        animation-timing-function: cubic-bezier(0, 1, 1, 0);
    }

    .lds-ellipsis div:nth-child(1) {
        left: 8px;
        animation: lds-ellipsis1 0.6s infinite;
    }

    .lds-ellipsis div:nth-child(2) {
        left: 8px;
        animation: lds-ellipsis2 0.6s infinite;
    }

    .lds-ellipsis div:nth-child(3) {
        left: 32px;
        animation: lds-ellipsis2 0.6s infinite;
    }

    .lds-ellipsis div:nth-child(4) {
        left: 56px;
        animation: lds-ellipsis3 0.6s infinite;
    }

    @keyframes lds-ellipsis1 {
        0% {
            transform: scale(0);
        }

        100% {
            transform: scale(1);
        }
    }

    @keyframes lds-ellipsis3 {
        0% {
            transform: scale(1);
        }

        100% {
            transform: scale(0);
        }
    }

    @keyframes lds-ellipsis2 {
        0% {
            transform: translate(0, 0);
        }

        100% {
            transform: translate(24px, 0);
        }
    }
}*/
.login-page-container {
  height: 100vh;
}

.login-page-left-content {
  padding: 60px 100px 20px 60px;
}

.login-page-left {
  flex-basis: 500px;
}

.login-page-left-top {
  gap: 100px;
}

.register-cover {
  background: url(../img/svg/pattern-1.svg) no-repeat center bottom fixed;
  background-size: cover;
}

.validation-summary-valid {
  display: none;
}

.form-container {
  min-height: 675px;
}

.access-denied-image {
  max-width: 100%;
}

.login-page-left-title {
  font-size: 50px;
  font-weight: bold;
  line-height: 1;
}

.logo-itmam {
  filter: brightness(0);
}

.login-page-right {
  flex-basis: calc(100% - 500px);
  background: radial-gradient(circle, rgb(255, 255, 255) 6%, rgba(220, 219, 216, 0.7) 90%, rgb(220, 219, 216) 100%);
  position: relative;
  /*height: 100%;*/
}
.login-page-right .login-page-right-background {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: bottom;
  left: 0;
}

.input-icon {
  left: 10px;
  top: 50%;
  transform: translateY(-50%);
}

.login-page-left-subtitle {
  font-size: 14px;
  color: rgb(120, 120, 120);
}

.login-page-left-version {
  font-size: 12px;
}

.login-page-left-copyright {
  font-size: 13px;
  color: rgb(93, 93, 93);
  line-height: 1.2;
  gap: 5px;
}

.user-cercle {
  width: 60px;
  height: 60px;
  background-color: #f6a709;
}

.form-title {
  font-size: 20px;
  padding-top: 10px;
}

.form-input {
  background-color: #eeeeee;
  border: 1px solid #d1d1d1;
  width: 100%;
  padding: 8px 30px;
}

.form-input-container-checkbox {
  gap: 10px;
}

.input-submit {
  background-color: #f6a709;
}

.login-page-right-content {
  position: relative;
  z-index: 10;
  margin: 100px 0 0 150px;
  width: 425px;
}

.login-page-right-title {
  font-size: 40px;
  line-height: 1;
  white-space: nowrap;
}

.login-page-right-btns {
  position: absolute;
  left: 0;
  z-index: 1;
  top: 25%;
}

.btns-semicircle {
  width: 80px;
  height: 70px;
  display: flex;
  padding: 14px;
  padding-left: 5px;
  font-size: 12px;
  align-items: center;
  border-top-right-radius: 50px;
  border-bottom-right-radius: 50px;
  gap: 4px;
  box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.55);
  cursor: pointer;
}
.btns-semicircle:nth-child(odd) {
  background-color: #f6a709;
}
.btns-semicircle:nth-child(even) {
  background-color: #138dd2;
  color: white;
}

@media (max-width: 1200px) {
  .login-page-left {
    flex-basis: 400px;
  }
  .login-page-right {
    flex-basis: calc(100% - 400px);
  }
  .login-page-left-content {
    padding: 40px 40px 20px 40px;
  }
}
#dt-instances .dataTables_empty, #dt-nodes-tbl .dataTables_empty {
  display: none !important;
}

div.dataTables_wrapper div.dataTables_processing {
  display: block;
  border: 0;
  box-shadow: none;
  background: transparent;
  margin-top: 0;
  /*& > div:first-child {
      opacity: 0;
      color: transparent;
  }*/
}

.custom-box-size {
  width: 500px !important;
}

.modal-md-important {
  max-width: 350px !important;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 3000;
}

.p-inline-20 {
  padding-inline: 20px;
}

.custom-shadow {
  box-shadow: 0px 0px 13px 0px rgba(62, 44, 90, 0.08) !important;
}

ul:not(.treeRoot) li:last-child.hasSubMenu > .line-hider {
  display: block;
  width: 1px;
  height: calc(100% - 30px);
  background-color: #fff;
  z-index: 1;
  position: absolute;
  top: 16px;
  left: -41px;
}

ul:not(.treeRoot) li:not(:last-child).hasSubMenu > .line-hider {
  display: none;
}

.treeRoot > li:first-of-type::before {
  display: none;
}

.toggle-image {
  background-color: #fff;
  position: absolute;
  top: 4px;
  left: -47px;
  width: 13px;
  height: 13px;
  /*border: 1px solid #c9c9c9;*/
  padding: 2px;
  cursor: pointer;
  z-index: 5;
}

.toggle-image img {
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 8px;
}

.file-image {
  left: -5px;
  z-index: 10;
}
.file-image img {
  width: 25px;
}

.file-content .file-image .file-open {
  display: none;
}

.file-content .file-image .file-close {
  display: flex;
}

.file-name {
  z-index: 1;
}

.files-section {
  border-right: 1px solid rgba(0, 0, 0, 0.07);
}

.file-name-text {
  font-size: 12px;
}

.file-content .file-name .increase-image {
  display: flex;
}

.file-content .file-name .decrease-image {
  display: none;
}

.open > .file-content .file-image .file-close {
  display: none;
}

.open > .file-content .file-image .file-open {
  display: flex;
}

.files-section ul,
.files-section li {
  list-style: none;
  margin: 0;
  padding: 0;
  color: #8b8b8b;
}

ul.treeRoot > li ul,
ul.treeRoot > li ul {
  padding-left: 28px;
}

ul.treeRoot ul li,
ul.treeRoot li {
  padding-left: 20px;
  position: relative;
  font-size: 16px;
  line-height: 24px;
}

ul.treeRoot ul li:after,
ul.treeRoot li:after,
ul.treeRoot ul li:last-child:after,
ul.treeRoot li:last-child:after {
  content: "";
  position: absolute;
  top: 12px;
  left: 7px;
  width: 1px;
  height: calc(100% - 35px);
  background: repeating-linear-gradient(to bottom, transparent 0 4px, #c9c9c9 4px 8px) 80%/2px 100% no-repeat;
  z-index: 0;
}

ul.treeRoot ul li:before,
ul.treeRoot li:before {
  content: "";
  position: absolute;
  left: -40px;
  top: 11px;
  width: 35px;
  height: 1px;
  background: repeating-linear-gradient(to left, transparent 0 4px, #c9c9c9 4px 8px) 100% no-repeat;
}

.treeRoot li ul {
  display: none;
}

.treeRoot li ul.activeSubMenu {
  display: block;
}

.hidden {
  display: none;
}

.context-menu {
  position: absolute;
  text-align: center;
  background: #f2f2f2;
  border: 1px solid #595755;
  z-index: 500;
  border-radius: 5px;
}

.context-menu ul {
  padding: 0px !important;
  margin: 0px !important;
  min-width: 100px;
  display: block !important;
  list-style: none;
}

.context-menu ul li {
  padding: 5px !important;
  font-size: 12px !important;
  border-bottom: 1px solid #e9e9e9;
  line-height: normal !important;
  text-align: start;
}
.context-menu ul li:after {
  content: none !important;
}
.context-menu ul li:before {
  content: none !important;
}
.context-menu ul li:last-child {
  border-bottom: none;
}

.context-menu ul li .main-context-option {
  text-decoration: none;
  color: black;
}

.context-menu ul li:hover {
  background: #595755;
}
.context-menu ul li:hover .main-context-option {
  color: #fff;
}

.context-menu a:not([href]):hover {
  color: #fff;
}

.input-structure {
  height: 100%;
}

.context-menu .context-menu-inner {
  display: none !important;
}

.context-menu .context-menu-drop-item:hover .context-menu-inner {
  display: block !important;
  position: absolute;
  left: 100%;
  background: #f2f2f2;
  border: 1px solid #595755;
  top: 0;
  border-radius: 5px;
}
.context-menu .context-menu-drop-item:hover .context-menu-inner .main-context-option {
  color: black;
}
.context-menu .context-menu-drop-item:hover .context-menu-inner li:hover {
  background: #595755;
}
.context-menu .context-menu-drop-item:hover .context-menu-inner li:hover a {
  color: #fff;
}

/*.open .file-content:after {
    content: "";
    position: absolute;
    left: -8px;
    width: 100%;
    height: calc(100% + 10px);
    top: -5px;
    background-color: #f2f2f2;
    z-index: 0;
}*/
.category-page .all-information-section {
  display: flex;
  justify-content: space-between;
  gap: 50px;
  margin-block: 40px;
}
.category-page .panel {
  box-shadow: none;
}
.category-page .information-section {
  margin-block: auto 0px;
  padding-block: 40px;
  background-color: #fafafa;
  padding: 1rem 1rem;
  border: 1px solid #f4f4f4;
}
.category-page .non-information-section {
  background-color: white;
  border: none;
}
.category-page .btn-primary {
  background-color: #44b0ee !important;
  border: none;
}
.category-page .form-control {
  background-color: #f5f5f5;
}
.category-page .items-information {
  flex-basis: calc(50% - 25px);
}
.category-page .information-title {
  font-size: 18px;
  font-weight: 400;
}
.category-page .service-information {
  display: flex;
  align-items: center;
  gap: 5px;
  background-color: white;
  padding: 8px 15px;
  font-size: 15px;
  margin-bottom: 10px;
  border: 1px solid #c5c4c4;
}
.category-page .service-icon {
  height: 25px;
  width: 25px;
}

/* Add below your website's variable */
/* Mixins should not have CSS properties ex: .class {..} */
/* Add below your website's variable */
.service-page {
  /*.panel {
          box-shadow: none;
      }
  */
  /* .panel {
      border-radius: 0px;
      margin-bottom: 0px;
  }*/
  /* padding-block: 50px;*/
  /*.multi-field{
      display:none;
  }*/
}
.service-page .service-page-section {
  display: flex;
  padding-top: 5px;
}
.service-page .form-control {
  background-color: #f5f5f5;
  border: 1px solid #c5c4c4;
}
.service-page .page-content {
  /*   padding-top:0px !important;*/
}
.service-page .btn-primary {
  border: none;
}
.service-page .btn-secondary {
  background-color: #797979 !important;
  border: none;
}
.service-page .service-boxes {
  padding: 0px;
  flex-basis: calc(100% - 300px);
}
.service-page .main-subheader {
  background-color: #F1F1F1;
  height: 250px;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
.service-page .panel-hdr {
  border-radius: 0px;
}
.service-page .main-subheader-title {
  color: black !important;
  font-size: 40px;
  font-weight: 400;
}
.service-page .setting-img {
  width: 70px;
}
.service-page .tree-view {
  flex-basis: 300px;
}
.service-page .wrapper {
  min-height: calc(100vh - 130px);
}
.service-page .main-wraper {
  padding-inline: 100px;
}
.service-page li {
  list-style: none;
}
.service-page .preview-image-group {
  height: 110px;
  width: 130px;
  /* padding-bottom: 20px; */
  background-color: #f5f5f5;
  margin-bottom: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.service-page .preview-image {
  height: 70%;
  width: 70%;
  object-fit: contain;
}
.service-page .common-btn {
  color: white;
  text-align: center;
  border: none;
  display: inline-block;
  padding: 5px 16px;
  cursor: pointer;
  border-radius: 3px;
}
.service-page .select-checkbox-2 {
  border: 1px solid rgba(136, 136, 136, 0.5333333333);
  width: 12px;
  height: 12px;
}
.service-page .step-field-item {
  display: flex;
}
.service-page .footer {
  position: inherit !important;
}
.service-page .modal-backdrop {
  z-index: 2501 !important;
}
.service-page .custom-index {
  z-index: 2552 !important;
}
.service-page .modal-backdrop {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: #000;
}
.service-page .variable-field-item {
  display: flex;
}
.service-page .display-none {
  display: none;
}
.service-page #deleteVariable {
  display: none;
}

.departments-boxs {
  flex-wrap: wrap;
  padding: 0px;
  margin-bottom: 20px;
  gap: 20px;
}

.department-box-btn {
  background-color: #44b0ee;
  margin-left: 0;
  text-transform: capitalize !important;
  min-width: 60px;
  /*margin-left: calc(50% - 70px);*/
}
.department-box-btn:hover {
  background-color: #3cc7f5;
}

.department-box {
  position: relative;
  background-color: #fbfbfb;
  flex-basis: calc(25% - 42px);
  padding: 30px 20px;
  border: solid 1px #ececec;
  -webkit-transition: 0.5s ease-in-out;
  -moz-transition: 0.5s ease-in-out;
  -ms-transition: 0.5s ease-in-out;
  -o-transition: 0.5s ease-in-out;
  transition: 0.5s ease-in-out;
}
.department-box:hover {
  background-color: #fff;
  box-shadow: 0px 0px 20px 0px #58c5e9;
  position: relative;
}
.department-box .card-btns {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
}
.department-box .department-box-title {
  text-align: center;
  font-size: 22px;
}
.department-box .department-box-image {
  justify-content: center;
  padding: 10px 0px;
  height: 100px;
}
.department-box .department-box-brief {
  padding: 10px;
  font-size: 13px;
  color: #6d6d6d;
}
.department-box .service-footer {
  position: absolute;
  width: 100%;
  left: 0;
  bottom: 15px;
  display: flex;
  justify-content: space-around;
}

@media (max-width: 1399px) {
  .department-box .department-box-brief {
    padding: 10px;
    padding-bottom: 40px;
  }
}
@media (max-width: 1199px) {
  .department-box {
    background-color: #fbfbfb;
    flex-basis: calc(50% - 42px);
  }
  .department-box .department-box-image {
    height: 60px;
  }
  .department-box .department-box-title {
    font-size: 25px;
  }
  .department-box .department-box-brief {
    padding: 10px 30px;
    padding-bottom: 40px;
    font-size: 13px;
  }
}
@media (max-width: 991px) {
  .department-box .department-box-title {
    font-size: 22px;
  }
}
@media (max-width: 767px) {
  .department-box {
    background-color: #fbfbfb;
    flex-basis: calc(100% - 42px);
  }
  .department-box .department-box-image {
    height: 60px;
  }
  .department-box .department-box-title {
    font-size: 25px;
  }
  .department-box .department-box-brief {
    padding: 10px 30px;
    padding-bottom: 40px;
    font-size: 13px;
  }
}
@media (max-width: 479px) {
  .department-box {
    background-color: #fbfbfb;
    flex-basis: calc(100% - 42px);
  }
  .department-box .department-box-image {
    height: 60px;
  }
  .department-box .department-box-title {
    font-size: 22px;
  }
  .department-box .department-box-brief {
    padding: 10px;
    padding-bottom: 30px;
    font-size: 13px;
  }
}
.heading {
  font-weight: 400;
  text-align: center;
  background: #293538;
  margin: 0;
  color: white;
  padding: 10px 0;
}

.file-browser {
  background: white;
  border-right: 1px solid rgba(0, 0, 0, 0.07);
  color: white;
  padding: 20px 10px 20px 4px;
  height: 90%;
  max-width: 280px;
  overflow-x: auto;
}
.file-browser .tree-icon {
  color: #8b8b8b;
}
.file-browser .tree-items {
  padding-left: 0px !important;
  position: relative;
}
.file-browser .tree-items::after {
  content: "";
  position: absolute;
  top: 12px;
  left: 5px;
  width: 1px;
  height: calc(100% - 22px);
  background: repeating-linear-gradient(to bottom, transparent 0 4px, #c9c9c9 4px 8px) 80%/2px 100% no-repeat;
  z-index: 0;
}
.file-browser .sub .tree-items {
  padding-left: 0px !important;
  position: unset;
}
.file-browser .sub .tree-items::after {
  content: none;
}
.file-browser .sub .tree-items li {
  position: relative;
}
.file-browser .sub .tree-items li::after {
  content: "";
  position: absolute;
  top: 12px;
  left: 5px;
  width: 1px;
  height: calc(100% - 22px);
  background: repeating-linear-gradient(to bottom, transparent 0 4px, #c9c9c9 4px 8px) 80%/2px 100% no-repeat;
  z-index: 0;
}

.file {
  color: #eee;
  display: block;
  list-style: none;
}

.folder {
  list-style: none;
  cursor: pointer;
  margin: 4px 0;
  position: relative;
}
.folder::after {
  content: "";
  position: absolute;
  left: -22px;
  top: 10px;
  width: 22px;
  height: 1px;
  background: repeating-linear-gradient(to left, transparent 0 4px, #c9c9c9 4px 8px) 100% no-repeat;
}
.folder::before {
  content: "";
  position: absolute;
  left: -22px;
  top: 10px;
  width: 22px;
  height: 1px;
  background: repeating-linear-gradient(to left, transparent 0 4px, #c9c9c9 4px 8px) 100% no-repeat;
}
.folder img {
  max-width: 20px;
}

.file {
  list-style: none;
  cursor: pointer;
  margin: 4px 0;
  position: relative;
}
.file::before {
  content: "";
  position: absolute;
  left: -22px;
  top: 10px;
  width: 22px;
  height: 1px;
  background: repeating-linear-gradient(to left, transparent 0 4px, #c9c9c9 4px 8px) 100% no-repeat;
}

.folder > ul {
  display: none;
}

.folder .toggler {
  padding: 0;
  height: 10px;
  width: 10px;
  text-align: center;
  line-height: 10px;
  background: #5f6f72;
  border-radius: 1px;
  display: inline-block;
  color: #ee9244;
  /* &:after {
      content: "+";
  }*/
}

.folder.folder-open > ul {
  display: block;
  padding-left: 25px;
  margin-left: 5px;
}

.service-item.active {
  background-color: #edf2f7;
  padding: 10px;
}

.types-list {
  padding-top: 10px;
}

.text-end {
  text-align: end;
}

.card-item {
  display: flex;
  align-items: center;
  gap: 5px;
  background-color: #fafafa;
  padding: 8px 15px;
  font-size: 15px;
  margin-bottom: 10px;
  border: 1px solid #c5c4c4;
}

.cancel-popup {
  width: 600px;
}

.preview-image-group {
  height: 150px;
  width: 150px;
  border-radius: 5px;
}

.preview-image {
  height: 100%;
  width: 100%;
}

.select-checkbox-2 {
  border: 1px solid rgba(136, 136, 136, 0.5333333333);
  width: 12px;
  height: 12px;
}

.step-field-item {
  display: flex;
}

.save-btn {
  background-color: #ee9244 !important;
  border-radius: 3px;
  border: none;
  color: white;
}

.service-form-panel {
  background-color: #6b6b6b;
}

.service-panel-header {
  color: white !important;
  display: flex;
  align-items: center;
  gap: 10px;
}

.add-btn {
  background-color: #7f7e7e;
}

.add-btns {
  margin-top: 50px;
}

.text-right {
  text-align: right;
}

.custom-btn-primary {
  margin-bottom: 0.5rem;
  padding: 5px 10px;
  border-radius: 5px;
  cursor: pointer;
}

.custom-btn-danger {
  background-color: #Be2d2d;
}

.gap-10 {
  gap: 10px;
}

.warning-message {
  font-size: 16px;
  color: red;
  display: none;
}

.no-scroll {
  overflow: hidden;
}

.popup-btn-section {
  display: flex;
  gap: 8px;
  align-items: center;
  justify-content: center;
  margin-bottom: 10px;
}

.save-on-content-section {
  height: 100%;
}

.custom-scroll {
  overflow: auto !important;
}

::-webkit-scrollbar-thumb {
  background: #666666;
}
